#
# spec file for package perl-Scalar-List-Utils
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Scalar-List-Utils
Version:        1.49
Release:        lp150.1.6
%define cpan_name Scalar-List-Utils
Summary:        Common Scalar and List utility subroutines
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Scalar-List-Utils/
Source0:        https://cpan.metacpan.org/authors/id/P/PE/PEVANS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
Common Scalar and List utility subroutines

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Sat Sep  9 2017 coolo@suse.com
- updated to 1.49
  see /usr/share/doc/packages/perl-Scalar-List-Utils/Changes
  1.49 -- 2017-09-08 12:25:54
  [CHANGES]
  * Fixes for unit tests to pass on perl 5.6.2
  * Fix typo in documentation
* Sat Jun 24 2017 coolo@suse.com
- updated to 1.48
  see /usr/share/doc/packages/perl-Scalar-List-Utils/Changes
  1.48 -- 2017/06/23 17:29:42
  [CHANGES]
  * Note in documentation that outer function's @_ can be accessed in
  some blocks, but ought not be (thanks wchristian)
  [BUGFIXES]
  * Ensure pairmap extends its stack correctly (thanks davem)
  * Fix name of List::Util::unpairs in its error messages
* Fri Dec 23 2016 coolo@suse.com
- updated to 1.47
  see /usr/share/doc/packages/perl-Scalar-List-Utils/Changes
  1.47 -- 2016/12/22 18:54:45
  [CHANGES]
  * Make XS code ppport.h-free when in core
  [BUGFIXES]
  * Fix compliling on C++11
  * Perform taint checks using $^X instead of some %%ENV key because of
  the Test::Simple vars (RT119169)
* Sat Oct  1 2016 coolo@suse.com
- updated to 1.46
  see /usr/share/doc/packages/perl-Scalar-List-Utils/Changes
  1.46 -- 2016/09/28 23:17:07
  [CHANGES]
  * Remember to add unpairs and uniq to SYNOPSIS
  * Document the behaviour of uniqnum() on NaN
  [BUGFIXES]
  * C89 fixes
  * Various internal bugfixes backported from perl core
* Mon Apr  4 2016 coolo@suse.com
- updated to 1.45
  see /usr/share/doc/packages/perl-Scalar-List-Utils/Changes
  1.45 -- 2016/03/25 16:09:40
  [CHANGES]
  * Renamed existing uniq() to uniqstr()
  * Canonicalise undef to {empty string,zero} in uniq{str,num}()
  * Add a new uniq() with more DWIMish semantics around undef
  [BUGFIXES]
  * Fix uses of GET magic by the uniq*() family of functions. GET magic
  is now always invoked exactly once if it exists.
* Wed Mar 23 2016 coolo@suse.com
- updated to 1.44
  see /usr/share/doc/packages/perl-Scalar-List-Utils/Changes
  1.44 -- 2016/03/17 23:08:46
  [CHANGES]
  * Added List::Util::uniq() and uniqnum()
  (with thanks to randir and ilmari for assistance writing code and
  tests)
* Sat Feb 13 2016 coolo@suse.com
- updated to 1.43
  see /usr/share/doc/packages/perl-Scalar-List-Utils/Changes
  1.43 -- 2016/02/08 15:05:23
  [CHANGES]
  * Updated documentation
  * Added MIN_PERL_VERSION to Makefile.PL
  * Added "use warnings" to all tests
  * Added MANIEST.SKIP patterns for common editor backup/swapfiles
  * Test product(0,0) (RT105415)
  [BUGFIXES]
  * Fix build on non-C99 compilers
  * Avoid divide-by-zero exception if product()'s accumulator is IV zero
  (RT105415)
  * Possible fix for SvTEMP issues in first and any/all/none/notall
  (RT96343)
* Wed Jul  8 2015 coolo@suse.com
- recompile with perl 5.22
* Sat May  2 2015 coolo@suse.com
- updated to 1.42
  see /usr/share/doc/packages/perl-Scalar-List-Utils/Changes
  1.42 -- 2015/04/32 01:25:55
  [CHANGES]
  * Added List::Util::unpairs() - the inverse of pairs()
  * Documentation to pre-warn users about the possible behaviour in a
  later version where the pair* higher-order functionals are no longer
  transparent to $_
  [BUGFIXES]
  * Silence some warnings at test time
  * Ensure that the List::Util we're loading the XS via is a sufficient
  version when Scalar::Util or Sub::Util load it (RT100863)
  1.41 -- 2014/09/05 15:49:50
  [BUGFIXES]
  * Avoid pre-C99 declaration after statements (RT98624)
  * Fix use of GetMagic in List::Util::reduce (RT63211)
  1.40 -- 2014/08/30 11:36:36
  [CHANGES]
  * Added entire new module, Sub::Util to contain functions related
  to CODE refs
  * Added subname inspired by Sub::Identify
  * Added set_subname copied and renamed from Sub::Name
  * Also moved set_prototype into Sub::Name, with back-compat wrapper
  in Scalar::Util
  * Added prototype wrapper of CODE::prototype, for completeness
  * Nicer module documentation format, allows neater use of L</...>
  [THANKS]
  * This change was written at the YAPC::EU 2014 Hackathon hosted by
  Liz Mattijsen and Wendy van Dijk; much thanks to them for being its
  catalyst.
  1.39 -- 2014/06/05 15:54:59
  [CHANGES]
  * Have pairs() return blessed objects that recognise ->key and
  - >value as well as being two-element ARRAYs
  * Booleanise the result of looks_like_number() so as not to
  accidentally leak abstraction (RT94806)
  * Document the version each function was added in (RT96220)
  [BUGFIXES]
  * Try to preserve UV precision in sum() where possible (RT95902)
  * Document known lexical capture in pairmap bug RT95409
  * SvGETMAGIC() in set_prototype() (RT72080)
  1.38 -- 2014/01/22 15:33:24
    [BUGFIXES]
  * Avoid Perl_ckwarn() in unweaken() because it's missing on older
  perls; ckWARN() like the rest of the code (RT92363)
  1.37 -- 2014/01/21 14:44:34
    [BUGFIXES]
  * Fix unweaken() for perls < 5.14; need to use sv_setsv() to undef
  rather than sv_clear() (RT92226)
* Fri Jan 17 2014 lars@linux-schulserver.de
- update to 1.36:
  * Added Scalar::Util::unweaken()
  * Various documentation changes/updates
  * Correct uses of overload operators in unit tests (RT91969)
- do not run weak test on SLE_11
* Fri Dec 13 2013 coolo@suse.com
- update to 1.35:
  * Added List::Util::product()
  * Ensure that List::Util::{any,all,none,notall} return PL_sv_{yes,no}
  * Implement reduce() and first() even in the absence of MULTICALL
  * Avoid C99/C++-style comments in XS code
  * Fix dualvar tests for perl 5.6; fix skip() test counts in dualvar.t
  * Neater documentation examples of other functions that can be built using
    reduce
  * Added any, all, none, notall list reduction functions
    (inspired by List::MoreUtils)
* Sat Oct  5 2013 coolo@suse.com
- update to 1.32:
  * Skip pairmap()'s MULTICALL implementation 5.8.9 / 5.10.0 as it doesn't
    work (RT87857)
  * Comment on the fact that package "0" is defined but false (RT88201)
  * TODO test in t/readonly.t now passes since 5.19.3 (RT88223)
* Mon Aug 19 2013 lars@linux-schulserver.de
- update to 1.31:
  + Bugfix pairmap to return list length in scalar context
  + Added "Odd number of elements" warnings to all pair* functions
  + Added pairfirst
  + Added MULTICALL implementations to pairmap/pairgrep/pairfirst
  + Fix declaration-after-code for C99-challenged compilers
  + Documentation updates to List::Util
  + Bugfix to pairmap/pairgrep when stack moves beneath them
    during operation
  + Added pairgrep, pairmap, pairs (inspired by List::Pairwise)
  + Added pairkeys and pairvalues
  + Fix multicall refcount bug RT#80646
  + Merge patch from JDHEDDEN - Add Scalar::Util::isdual() RT#76150
  + Fix a hash order dependency bug t/tainted.t
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Thu Mar 11 2010 lars@linux-schulserver.de
- update to 1.23:
  + Use PERL_NO_GET_CONTEXT for efficiency (see perlguts)
  + avoid non-portable warnings
  + Fix PP::reftype in edge cases
  + RT#51484 Preserve utf8 flag of string passed to dualvar()
  + RT#51454 Check first argument to first/reduce is a code
    reference
  + RT#50528 [PATCH] p_tainted.t fix for VMS [Craig A. Berry]
  + RT#48550 fix pure perl looks_like_number not to match
    non-ascii digits
* Tue Sep 15 2009 lars@linux-schulserver.de
- initial package build
